nn.pp.rccore

## Class VideoSettings.VideoSettingInteger

- java.lang.Object
- - nn.pp.rccore.VideoSettings.VideoSetting
  - - nn.pp.rccore.VideoSettings.VideoSettingIntegerReadOnly
    - - nn.pp.rccore.VideoSettings.VideoSettingInteger

- All Implemented Interfaces:
    IVideoSettings.IVideoSetting, IVideoSettings.IVideoSettingInteger, IVideoSettings.IVideoSettingIntegerReadOnly
  Enclosing class:
    VideoSettings

      public class VideoSettings.VideoSettingInteger
      extends VideoSettings.VideoSettingIntegerReadOnly
      implements IVideoSettings.IVideoSettingInteger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSettingInteger(int minValue, int maxValue)`
    `VideoSettingInteger(IVideoSettings.IVideoSettingInteger setting)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxValue()` Get the maximum value for this setting
    `int` | `getMinValue()` Get the minimum value for this setting
    `void` | `setMaxValue(int maxValue)` Set the maximum value for this setting
    `void` | `setMinValue(int minValue)` Set the minimum value for this setting

    - ### Methods inherited from class nn.pp.rccore.VideoSettings.VideoSettingIntegerReadOnly

      `getValue, setValue, toString`

    - ### Methods inherited from class nn.pp.rccore.VideoSettings.VideoSetting

      `isSupported, setSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSettingIntegerReadOnly

      `getValue, setValue`

    - ### Methods inherited from interface nn.pp.rccore.IVideoSettings.IVideoSetting

      `isSupported, setSupported`

- - ### Constructor Detail

    - #### VideoSettingInteger

          public VideoSettingInteger(int minValue,
                                     int maxValue)

    - #### VideoSettingInteger

          public VideoSettingInteger(IVideoSettings.IVideoSettingInteger setting)

  - ### Method Detail

    - #### getMinValue

          public int getMinValue()

      Description copied from interface: `IVideoSettings.IVideoSettingInteger`
      Get the minimum value for this setting
      Specified by:
        `getMinValue` in interface `IVideoSettings.IVideoSettingInteger`
      Returns:
        the minimum value for this setting

    - #### setMinValue

          public void setMinValue(int minValue)

      Description copied from interface: `IVideoSettings.IVideoSettingInteger`
      Set the minimum value for this setting
      Specified by:
        `setMinValue` in interface `IVideoSettings.IVideoSettingInteger`
      Parameters:
        `minValue` - the minimum value for this setting

    - #### getMaxValue

          public int getMaxValue()

      Description copied from interface: `IVideoSettings.IVideoSettingInteger`
      Get the maximum value for this setting
      Specified by:
        `getMaxValue` in interface `IVideoSettings.IVideoSettingInteger`
      Returns:
        the maximum value for this setting

    - #### setMaxValue

          public void setMaxValue(int maxValue)

      Description copied from interface: `IVideoSettings.IVideoSettingInteger`
      Set the maximum value for this setting
      Specified by:
        `setMaxValue` in interface `IVideoSettings.IVideoSettingInteger`
      Parameters:
        `maxValue` - the maximum value for this setting

Copyright © 2025 Raritan Inc. All Rights Reserved.